# Namespace: cors

## .net.cors

Source:
  - net/cors.js, line 1

### Methods

#### (static) request(method, url, data, timeout, callback)

Make a cross-origin request using CORS

##### Parameters:

Name | Type | Description
--- | --- | ---
`method` | String | HTTP verb ('GET', 'POST', 'DELETE', etc.)
`url` | String | url
`data` | String | request body
`timeout` | Integer | request timeout in milliseconds
`callback` | function | function to callback on completion

Source:
  - net/cors.js, line 27

#### (static) response()

Response Object - used in the beef.net.request callback

Source:
  - net/cors.js, line 12